Index: slime/swank-ecl.lisp
===================================================================
RCS file: /project/slime/cvsroot/slime/swank-ecl.lisp,v
retrieving revision 1.4
diff -u -r1.4 swank-ecl.lisp
--- slime/swank-ecl.lisp	11 Nov 2005 23:43:43 -0000	1.4
+++ slime/swank-ecl.lisp	18 Feb 2006 14:26:07 -0000
@@ -143,13 +143,13 @@
 (defun compile-from-stream (stream &rest args)
   (let ((file (si::mkstemp "TMP:ECLXXXXXX")))
     (with-open-file (s file :direction :output :if-exists :overwrite)
-      (do ((line (read-line stream nil) (read-line stream nil)))
-	  (line)
-	(write-line line s)))
+		    (loop for line = (read-line stream nil)
+			  while line do (write-line line s)))
     (unwind-protect
-         (apply #'compile-file file args)
+	(apply #'compile-file file args)
       (delete-file file))))
 
+
 
 ;;;; Documentation
 
